#include<iostream>
#include<string>
#include<math.h>
#include<algorithm>
#include<map>
#include<vector>

using namespace std;
	long long dp[15];
int main()
{
string a,b,st[15];
long long i,n,j,k,man,s=0,l,ko;
for(i=0;i<15;i++)st[i]="";
cin>>a;
cin>>b;
for(i=0;i<a.length();i++)
{s=0;
for(j=0;j<b.length();j++)
{
	if(a[i]==b[j])
{
	if(j==0)
	{
	dp[j]=dp[j]+1;
	st[j]=st[j]+"*";
}
	else
	{
	if(min(dp[j-1],dp[j]+1)==dp[j]+1)st[j]=st[j]+"*";
	else st[j]=st[j-1];
		dp[j]=min(dp[j-1],dp[j]+1);
	
	}
/*st[j]=st[j]+'*';
		dp[j+1]=dp[j]+1;
	dp[j+1]=min(dp[j],dp[j+1]);
	
    if(min(dp[j],dp[j+1])==dp[j])
    {
    	st[j+1]=st[j];
	}
	*/
}
else
{

	
	st[j]=st[j]+a[i];
}

}
//for(j=0;j<b.length();j++)cout<<dp[j]<<" "<<i<<" "<<j<<endl;
}
man=dp[0];
ko=0;
for(i=0;i<b.length();i++)
{if(man>dp[i])
{
	man=dp[i];
	ko=i;
}
//cout<<i<<" aaa "<<endl;
}
cout<<man<<endl;
cout<<st[ko];
}